# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/usb/ti,usb8041.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: TI USB8041 USB 3.0 hub controller

maintainers:
  - Alexander Stein <alexander.stein@ew.tq-group.com>

allOf:
  - $ref: usb-device.yaml#

properties:
  compatible:
    enum:
      - usb451,8140
      - usb451,8142

  reg: true

  reset-gpios:
    items:
      - description: GPIO specifier for GRST# pin.

  vdd-supply:
    description:
      VDD power supply to the hub

  peer-hub:
    $ref: /schemas/types.yaml#/definitions/phandle
    description:
      phandle to the peer hub on the controller.

required:
  - compatible
  - reg
  - peer-hub

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    usb {
        dr_mode = "host";
        #address-cells = <1>;
        #size-cells = <0>;

        /* 2.0 hub on port 1 */
        hub_2_0: hub@1 {
            compatible = "usb451,8142";
            reg = <1>;
            peer-hub = <&hub_3_0>;
            reset-gpios = <&gpio1 11 GPIO_ACTIVE_LOW>;
        };

        /* 3.0 hub on port 2 */
        hub_3_0: hub@2 {
            compatible = "usb451,8140";
            reg = <2>;
            peer-hub = <&hub_2_0>;
            reset-gpios = <&gpio1 11 GPIO_ACTIVE_LOW>;
        };
    };
